# PaperBrigadierManager (ACF (Paper) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: PaperBrigadierManager

Package co.aikar.commands

# Class PaperBrigadierManager

java.lang.Object
co.aikar.commands.PaperBrigadierManager

All Implemented Interfaces:
  `org.bukkit.event.Listener`

@Deprecated public class PaperBrigadierManager extends Object implements org.bukkit.event.Listener
Deprecated.
Unstable API
Handles registering of commands into brigadier

Author:
  MiniDigger

## Constructor Summary

Constructors
Constructor
Description
`PaperBrigadierManager(org.bukkit.plugin.Plugin plugin, PaperCommandManager manager)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`onCommandRegister(com.destroystokyo.paper.event.brigadier.CommandRegisteredEvent<com.destroystokyo.paper.brigadier.BukkitBrigadierCommandSource> event)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaperBrigadierManager

public PaperBrigadierManager (org.bukkit.plugin.Plugin plugin, PaperCommandManager manager)
Deprecated.

## Method Details

### onCommandRegister

public void onCommandRegister (com.destroystokyo.paper.event.brigadier.CommandRegisteredEvent<com.destroystokyo.paper.brigadier.BukkitBrigadierCommandSource> event)
Deprecated.